import { AxiosInstance } from 'axios';
import { Carrier } from '../../../common';
import { ICmsQuery } from '../types';
export type CarrierResponse = {
    carrierName?: string;
    carrierID?: string;
    code?: string;
    trackingUrl?: string;
    trackingUrlEn?: string;
};
export declare class CarrierQuery implements ICmsQuery<{
    carrierId: Carrier;
}, CarrierResponse | null> {
    processQuery(requestModel: {
        carrierId: Carrier;
    }, client: AxiosInstance): Promise<CarrierResponse | null>;
    private createRequestQuery;
}
//# sourceMappingURL=carrier.query.d.ts.map