import { AxiosInstance } from 'axios';
import { Carrier } from '../../../common';
import { ICmsQuery } from '../types';
export type CarrierCredentials = {
    username: string;
    password: string;
    clientNumber: string;
};
export declare class CustomerCarrierCredentialsQuery implements ICmsQuery<{
    customerId: string;
    carrier: Carrier;
}, CarrierCredentials | null> {
    processQuery(requestModel: {
        customerId: string;
        carrier: Carrier;
    }, client: AxiosInstance): Promise<CarrierCredentials | null>;
    private createCustomerCredentialsQuery;
}
//# sourceMappingURL=customerCarrierCredentials.query.d.ts.map